2021-04-18 23:47 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001983ShadowWarriors[All Projects] Generalpublic2021-02-23 23:38
ReporterIrek 
Assigned ToCFOUProject InfoShadow Warriors (Ocean)
http://www.whdload.de/games/ShadowWarriors.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001983: Shadow Warriors: Hello, I have some problems with the game: Sometimes the game
DescriptionInstall: Shadow Warriors (Ocean) http://whdload.de/games/ShadowWarriors.html
GameVersion: english,pal,2 disks
SlaveVersion: 1.1 from 12.7.1999

Hello,
I have some problems with the game:
Sometimes the game freezes in different places without reason.
The game crashes with an error message in Level 6:
DOS Error # 219 (Seek failure) on reading Disk.2
Previously, the game crashed with other errors, but since I am the new version of WHDLoad used the game is somewhat stable.
I have it on two different CPU (040/32 MB and 020/6MB) tries unfortunately with the same result.
Can someone please help me. I thank you in advance.
Regards,
Irek
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.8
importedyes
Attached Files

-Relationships
related to 0002250closedCFOU At stage 6 there happens a seek failure on disk.2 (whdload quits). 
+Relationships

-Notes

note ~0009596

CFOU (developer)

only on corrupted V1

V2 SPS 830
and V3 SPS 1760 have not this, problem

I'am looking for good MFM version of V1 to compare

note ~0009599

CFOU (developer)

here beta v1.2

note ~0009606

Irek (reporter)

Thanks for the new slave update. However, the game still crashes in different places in level 1 and level 2. See attachment.

note ~0009627

CFOU (developer)

new beta version support 4 versions (not again released)
V2 : SPS 830 (no music/ extended memory code)=>tested seems works
V3 : SPS 1679 (Music / extended memory can be used/+colyplock)=>tested seems works=>tested with MMU and SNOOP tooltype
V4 : Paradox Crack/=>tested seems works
V1: : ???? (Music/ ectended memory can be used)=>randows crash try to fix it
 but MFM of disk 2 is corrupt (track 40)=>looking for this version

for the futur slave image of disk.2 will by different (new islave)

What is the boot checksum of disk 1 of your version?

note ~0009632

Irek (reporter)

My version comes from the Ninja Collection (compilation of three games). I was able to install the game from the disks without any problems. (no checksum errors during install)

note ~0009635

CFOU (developer)

fixed with last beta soon released (your version IS SPS 0830)

note ~0009636

CFOU (developer)

Patch update finished.
All versions supported but.
Missing Bad guys on level 4,5,6 (execpt boss) with oldest version (not SPS 0839 on 07/1990 and not SPS 1769 on 06/1990.
With this version provided Mfm had many tracks with chksum errors on disk 2 (no creation date in code must seems early version)

And badly disk structure differs from both SPS versions, it seems.

I hope is commercial version and not stolen beta version!! If not i will lost my time...

I will try this evening to re-build good data disque using data extracted from SPS 0830. Perhaps just data locations are differents.

Regards.
Bertrand/VFou!

note ~0009638

CFOU (developer)

fixed with last v2.0 patch soon released
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:27 administrator New Issue
2009-04-10 01:27 administrator Status new => assigned
2009-04-10 01:27 administrator Assigned To => Dark Angel
2009-04-10 01:27 administrator Machine => A1200
2009-04-10 01:27 administrator CPU => 68040
2009-04-10 01:27 administrator CPUSpeed => 25
2009-04-10 01:27 administrator ChipSet => AGA
2009-04-10 01:27 administrator GFXCard => None
2009-04-10 01:27 administrator ChipMem => 2 MB
2009-04-10 01:27 administrator FastMem => 32 MB
2009-04-10 01:27 administrator Workbench => OS 3.9
2009-04-10 01:27 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:27 administrator KickSoft => None
2009-04-10 01:27 administrator WHDLoad => 16.8
2009-04-10 01:27 administrator imported => yes
2009-11-10 17:22 Wepl Assigned To Dark Angel =>
2009-11-10 17:38 Wepl Status assigned => new
2010-02-26 11:00 Wepl Relationship added related to 0002250
2021-02-19 02:57 CFOU Note Added: 0009596
2021-02-19 03:01 CFOU File Added: ShadowWarriors.lha
2021-02-19 03:01 CFOU Note Added: 0009599
2021-02-20 14:05 Irek File Added: .whdl_register.lha
2021-02-20 14:05 Irek Note Added: 0009606
2021-02-22 00:58 CFOU Note Added: 0009627
2021-02-23 16:31 Irek Note Added: 0009632
2021-02-23 17:06 CFOU Note Added: 0009635
2021-02-23 17:14 CFOU Note Added: 0009636
2021-02-23 23:38 CFOU Assigned To => CFOU
2021-02-23 23:38 CFOU Status new => assigned
2021-02-23 23:38 CFOU Status assigned => closed
2021-02-23 23:38 CFOU Resolution open => fixed
2021-02-23 23:38 CFOU Note Added: 0009638
+Issue History